[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TCustomSpeedButton.LoadGlyphFromResourceName

Loads the image for the Glyph with the specified name from a resource instance.

## Declaration

Source position: buttons.pp line 411

`public procedure TCustomSpeedButton.LoadGlyphFromResourceName(`
`Instance: TLCLHandle;`
`const AName: string`
`);`

## Arguments

`Instance` |  | Handle for the resource with the specified glyph.
`AName` |  | Name of the glyph image resource loaded for the control.

## Description

Calls the LoadGlyphFromLazarusResource routine in buttons.pas to load the bitmap for the specified resource name into the Glyph for the button control.

## Version info

Modified in LCL version 4.0 to use the TLCLHandle type for the Instance argument instead of the deprecated THandle type.

## See also

TCustomSpeedButton.Glyph |  | The bitmap with the glyph image(s) displayed for button states.
LoadGlyphFromLazarusResource |  | Loads the named glyph image from a Lazarus Resource file.
TLCLHandle |  | Alias to the TLCLHandle type defined for widgetset references.